package de.jioni.richfaces.test;

import java.io.Serializable;
import java.util.Date;
import java.util.logging.Logger;

import javax.enterprise.context.Conversation;
import javax.enterprise.context.ConversationScoped;
import javax.faces.event.ComponentSystemEvent;
import javax.inject.Inject;
import javax.inject.Named;

@Named("testBean")
@ConversationScoped
public class TestBean implements Serializable {

	private static final long serialVersionUID = 1L;
	private static final Logger LOG = Logger.getLogger("TestBean");

	@Inject
	private Conversation conversation;

	private int counter;

	private String cid;

	private Date dateTime;

	public void startConversation(ComponentSystemEvent evt) {
		if (conversation.isTransient()) {
			conversation.begin();
			cid = conversation.getId();
			LOG.info("new converstion: " + cid);
		}
	}

	public Date getDateTime() {
		return dateTime;
	}

	public void setDateTime(Date dateTime) {
		this.dateTime = dateTime;
	}

	public String countUp() {
		counter++;
		// backend.doAction();
		return null;
	}

	public int getCounter() {
		return counter;
	}

	public void setCounter(int counter) {
		this.counter = counter;
	}

	public String getCid() {
		return cid;
	}

}
